BackendHTTP APISyncs

Pause sync(s)

Requires an API key with the environment:syncs:execute scope. Learn more about API key scopes.

POST
/sync/pause

Pauses the schedule of specified sync(s) for a given connection or all applicable connections if no connection is specified.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Request Body

application/json
  1. body
provider_config_key*string

The ID of the integration that you established within Tenklo.

connection_id?string

The ID of the connection. If omitted, the syncs will be paused for all relevant connections.

syncs*array<>|array<>

Response Body

Successfully paused the sync

application/json
  1. response
success*boolean
Example Request
curl -X POST 'https://api.tenklo.dev/sync/pause' \  -H 'Content-Type: application/json' \  -d '{  "provider_config_key": "string",  "syncs": [    "string"  ]}'
Example Response
{  "success": true}